curl --request POST \
--url https://api.synctera.com/v2/accounts/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_enabled": true,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_ach_credit_enabled": true,
"is_ach_debit_enabled": true,
"is_ach_enabled": true,
"is_card_credit_enabled": true,
"is_card_debit_enabled": true,
"is_card_enabled": true,
"is_cash_credit_enabled": true,
"is_cash_debit_enabled": true,
"is_cash_enabled": true,
"is_check_credit_enabled": true,
"is_check_debit_enabled": true,
"is_check_enabled": true,
"is_eft_ca_credit_enabled": true,
"is_eft_ca_debit_enabled": true,
"is_eft_ca_enabled": true,
"is_external_card_credit_enabled": true,
"is_external_card_debit_enabled": true,
"is_external_card_enabled": true,
"is_fednow_credit_enabled": true,
"is_fednow_debit_enabled": true,
"is_fednow_enabled": true,
"is_p2p_enabled": true,
"is_synctera_pay_credit_enabled": true,
"is_synctera_pay_debit_enabled": true,
"is_synctera_pay_enabled": true,
"is_wire_credit_enabled": true,
"is_wire_debit_enabled": true,
"is_wire_enabled": true,
"fee_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"interest_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_sar_enabled": false,
"overdraft_limit": 1,
"reward_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"spending_limits": {
"day": {
"amount": 1,
"transactions": 1
},
"description": "<string>",
"lifetime": {
"amount": 1,
"transactions": 1
},
"month": {
"amount": 1,
"transactions": 1
},
"transaction": {
"amount": 1
},
"week": {
"amount": 1,
"transactions": 1
}
}
},
"application_type": "CREDIT",
"description": "<string>"
}
'import requests
url = "https://api.synctera.com/v2/accounts/templates"
payload = {
"is_enabled": True,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_ach_credit_enabled": True,
"is_ach_debit_enabled": True,
"is_ach_enabled": True,
"is_card_credit_enabled": True,
"is_card_debit_enabled": True,
"is_card_enabled": True,
"is_cash_credit_enabled": True,
"is_cash_debit_enabled": True,
"is_cash_enabled": True,
"is_check_credit_enabled": True,
"is_check_debit_enabled": True,
"is_check_enabled": True,
"is_eft_ca_credit_enabled": True,
"is_eft_ca_debit_enabled": True,
"is_eft_ca_enabled": True,
"is_external_card_credit_enabled": True,
"is_external_card_debit_enabled": True,
"is_external_card_enabled": True,
"is_fednow_credit_enabled": True,
"is_fednow_debit_enabled": True,
"is_fednow_enabled": True,
"is_p2p_enabled": True,
"is_synctera_pay_credit_enabled": True,
"is_synctera_pay_debit_enabled": True,
"is_synctera_pay_enabled": True,
"is_wire_credit_enabled": True,
"is_wire_debit_enabled": True,
"is_wire_enabled": True,
"fee_product_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"interest_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_sar_enabled": False,
"overdraft_limit": 1,
"reward_product_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"spend_control_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"spending_limits": {
"day": {
"amount": 1,
"transactions": 1
},
"description": "<string>",
"lifetime": {
"amount": 1,
"transactions": 1
},
"month": {
"amount": 1,
"transactions": 1
},
"transaction": { "amount": 1 },
"week": {
"amount": 1,
"transactions": 1
}
}
},
"application_type": "CREDIT",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_enabled: true,
name: '<string>',
template: {
bank_country: 'US',
currency: 'USD',
account_program_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_ach_credit_enabled: true,
is_ach_debit_enabled: true,
is_ach_enabled: true,
is_card_credit_enabled: true,
is_card_debit_enabled: true,
is_card_enabled: true,
is_cash_credit_enabled: true,
is_cash_debit_enabled: true,
is_cash_enabled: true,
is_check_credit_enabled: true,
is_check_debit_enabled: true,
is_check_enabled: true,
is_eft_ca_credit_enabled: true,
is_eft_ca_debit_enabled: true,
is_eft_ca_enabled: true,
is_external_card_credit_enabled: true,
is_external_card_debit_enabled: true,
is_external_card_enabled: true,
is_fednow_credit_enabled: true,
is_fednow_debit_enabled: true,
is_fednow_enabled: true,
is_p2p_enabled: true,
is_synctera_pay_credit_enabled: true,
is_synctera_pay_debit_enabled: true,
is_synctera_pay_enabled: true,
is_wire_credit_enabled: true,
is_wire_debit_enabled: true,
is_wire_enabled: true,
fee_product_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
interest_product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_sar_enabled: false,
overdraft_limit: 1,
reward_product_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
spend_control_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
spending_limits: {
day: {amount: 1, transactions: 1},
description: '<string>',
lifetime: {amount: 1, transactions: 1},
month: {amount: 1, transactions: 1},
transaction: {amount: 1},
week: {amount: 1, transactions: 1}
}
},
application_type: 'CREDIT',
description: '<string>'
})
};
fetch('https://api.synctera.com/v2/accounts/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_enabled": true,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_payment_period": 20,
"balance_ceiling": {
"balance": 1,
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overflow_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"balance_floor": {
"balance": 123,
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdraft_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billing_period": {
"start_date": "2022-01-01T00:00:00Z"
},
"fee_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"grace_period": 2,
"interest_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_ach_credit_enabled": true,
"is_ach_debit_enabled": true,
"is_ach_enabled": false,
"is_card_credit_enabled": true,
"is_card_debit_enabled": true,
"is_card_enabled": false,
"is_cash_credit_enabled": true,
"is_cash_debit_enabled": true,
"is_cash_enabled": false,
"is_check_credit_enabled": true,
"is_check_debit_enabled": true,
"is_check_enabled": false,
"is_eft_ca_credit_enabled": true,
"is_eft_ca_debit_enabled": true,
"is_eft_ca_enabled": true,
"is_external_card_credit_enabled": true,
"is_external_card_debit_enabled": true,
"is_external_card_enabled": false,
"is_fednow_credit_enabled": true,
"is_fednow_debit_enabled": true,
"is_fednow_enabled": true,
"is_p2p_enabled": false,
"is_sar_enabled": false,
"is_synctera_pay_credit_enabled": true,
"is_synctera_pay_debit_enabled": true,
"is_synctera_pay_enabled": false,
"is_wire_credit_enabled": true,
"is_wire_debit_enabled": true,
"is_wire_enabled": false,
"minimum_payment": {
"min_amount": 123,
"rate": 123
},
"overdraft_limit": 1,
"reward_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"spending_limits": {
"day": {
"amount": 1,
"transactions": 1
},
"description": "<string>",
"lifetime": {
"amount": 1,
"transactions": 1
},
"month": {
"amount": 1,
"transactions": 1
},
"transaction": {
"amount": 1
},
"week": {
"amount": 1,
"transactions": 1
}
},
"vendor_info": {
"vendor_data": {
"loanpro": {
"cash_advance_bucket_id": 67890,
"loc_product_id": 67890,
"purchases_bucket_id": 12345,
"tenant_id": "1"
}
},
"vendor_type": "LOANPRO"
}
},
"application_type": "CREDIT",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl"
}Create an account template
Create an account template. An account template is needed to create an account in a lead mode.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Account template to create
Whether this template can be used for account creation
Unique account template name
Rails available to enable on depository accounts
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Type of Application
CREDIT, RESTRICTED_ACCOUNT, LOC, CREDIT_CARD "CREDIT"
User provided account template description
Response
Account template created
Whether this template can be used for account creation
Unique account template name
Show child attributes
Show child attributes
Type of Application
CREDIT, RESTRICTED_ACCOUNT, LOC, CREDIT_CARD "CREDIT"
Account template description
Generated ID for the template
The id of the tenant containing the resource.
"abcdef_ghijkl"
Was this page helpful?

